Bug 1305563 - Firefox crashed when opened using x11 forwarding
Firefox crashed when opened using x11 forwarding
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firefox (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 10:08 EST by Geetika Kapoor
Modified: 2016-02-16 08:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 08:45:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Firefox_crash_image (136.14 KB, image/png)
2016-02-08 10:08 EST, Geetika Kapoor
no flags Details

  None (edit)
Description Geetika Kapoor 2016-02-08 10:08:19 EST
Created attachment 1122185 [details]
Firefox_crash_image

Description of problem:

Firefox crashed when opened using x11 forwarding.
Firefox 38 works perfectly fine in this environment.

Version-Release number of selected component (if applicable):

Installed Packages
firefox.x86_64                                                                45.0-0.4.el7_2

How reproducible:
Always

Steps to Reproduce:
1.Login into machine using this command ssh  -X -l root <ip>
2.Check firefox version 45.0-0.4.el7_2.
3.run on shell : firefox &

Actual results:
Firefox crashed.Got below exception in console.log under /root/.mozilla/firefox.

*** Console log: 2016-02-04 05:09:26 ***
Could not read chrome manifest 'file:///usr/lib64/firefox/chrome.manifest'.
While creating services from category 'profile-after-change', service for entry 'SpeechDispatcher Speech Synth', contract ID '@mozilla.org/synthspeechdispatcher;1' does not implement nsIObserver.
[JavaScript Error: "uncaught exception: 2147500036"]
[JavaScript Error: "NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIIdleService.removeIdleObserver]" {file: "resource://app/components/nsBrowserGlue.js" line: 1725}]
[JavaScript Error: "NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIIdleService.removeIdleObserver]" {file: "resource://app/components/nsBrowserGlue.js" line: 620}]
1454580566042   Toolkit.Telemetry       WARN    TelemetrySession::detachObservers - Failed to remove cycle-collector-begin: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIObserverService.removeObserver]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/TelemetrySession.jsm :: detachObservers :: line 1277"  data: no] Stack trace: detachObservers()@resource://gre/modules/TelemetrySession.jsm:1277 < uninstall()@resource://gre/modules/TelemetrySession.jsm:1536 < Impl.shutdownChromeProcess/cleanup()@resource://gre/modules/TelemetrySession.jsm:1693 < Handler.prototype.process()@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:933 < this.PromiseWalker.walkerLoop()@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:812

Expected results:

with vncviewer it works fine.No crash happens.

Additional info:

Also Refer screenshot attached for firefox crash image.
Comment 2 Martin Stransky 2016-02-08 12:15:31 EST
Interesting, you're actually running active e10s sessions. It is supposed to be disabled in ESR 45. Try to go to "Preferences" and disable "Multiprocess Firefox" or so in general panel.
Comment 3 Tomas Pelka 2016-02-08 12:50:59 EST
Also you are running firefox as root, is it what you want?

Not very secure IMHO.
Comment 4 Geetika Kapoor 2016-02-09 00:04:20 EST
I tried with non root user as well.Crash happens this time also.No change in output.

<snip of console log>

*** Console log: 2016-02-09 00:02:05 ***
Could not read chrome manifest 'file:///usr/lib64/firefox/chrome.manifest'.
While creating services from category 'profile-after-change', service for entry 'SpeechDispatcher Speech Synth', contract ID '@mozilla.org/synthspeechdispatcher;1' does not implement nsIObserver.
[JavaScript Error: "uncaught exception: 2147500036"]
[JavaScript Error: "Failed to parse sessionstore state JSON to migrate tab groups: SyntaxError: JSON.parse: unexpected end of data at line 1 column 1 of the JSON data" {file: "resource://app/modules/TabGroupsMigrator.jsm" line: 44}]
[JavaScript Error: "NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsINavBookmarksService.removeFolderChildren]" {file: "resource://gre/modules/BookmarkHTMLUtils.jsm" line: 898}]
[JavaScript Error: "Failed to import bookmarks from resource:///defaults/profile/bookmarks.html: [Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsINavBookmarksService.removeFolderChildren]"  nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)"  location: "JS frame :: resource://gre/modules/BookmarkHTMLUtils.jsm :: runBatched :: line 898"  data: no]" {file: "resource://gre/modules/BookmarkHTMLUtils.jsm" line: 151}]
[JavaScript Error: "Bookmarks.html file could be corrupt. [Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsINavBookmarksService.removeFolderChildren]"  nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)"  location: "JS frame :: resource://gre/modules/BookmarkHTMLUtils.jsm :: runBatched :: line 898"  data: no]" {file: "resource://app/components/nsBrowserGlue.js" line: 1650}]
[JavaScript Error: "[Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIAnnotationService.getItemsWithAnnotation]"  nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)"  location: "JS frame :: resource://app/components/nsBrowserGlue.js :: BrowserGlue.prototype.ensurePlacesDefaultQueriesInitialized< :: line 2240"  data: no]" {file: "resource://app/components/nsBrowserGlue.js" line: 2311}]
1454994125474   Toolkit.Telemetry       WARN    TelemetrySession::detachObservers - Failed to remove cycle-collector-begin: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIObserverService.removeObserver]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/TelemetrySession.jsm :: detachObservers :: line 1277"  data: no] Stack trace: detachObservers()@resource://gre/modules/TelemetrySession.jsm:1277 < uninstall()@resource://gre/modules/TelemetrySession.jsm:1536 < Impl.shutdownChromeProcess/cleanup()@resource://gre/modules/TelemetrySession.jsm:1693 < Handler.prototype.process()@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:933 < this.PromiseWalker.walkerLoop()@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:812
Comment 5 Geetika Kapoor 2016-02-09 00:07:04 EST
Going to  "Preferences" and disable "Multiprocess Firefox" or so in general panel.==> This works ..:) Thanks
Comment 6 Geetika Kapoor 2016-02-09 00:18:44 EST
so what i understand is multiprocess firefox feature  should be disabled for version 45 but it is enabled.This feature is meant so as to separate browser code from the websites code.
Comment 7 Martin Stransky 2016-02-09 03:20:37 EST
Yes, it's enabled in the testing version but will be disabled in the final one.
Comment 8 Geetika Kapoor 2016-02-16 08:37:11 EST
Verified the behaviour with firefox-45.0-0.10.el7_2.x86_64.rpm   and it worked as expected.

Note You need to log in before you can comment on or make changes to this bug.